CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

角度属性 (ActiveX)

2023-1-3 22:58| 发布者: admin| 查看: 407| 评论: 0|来自: AutoCAD

摘要: 获取线条的角度。

获取线条的角度。

支持的平台:仅窗口

签名

工 务 局:

object.Angle
对象

类型:线

此属性适用的对象。

属性值

只读:是的

类型:

线的角度(以弧度为单位)。角度测量从X轴开始,沿逆时针方向进行。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Angle()
    ' This example adds a line in model space and returns the angle of the new line
   
    Dim lineObj As AcadLine
    Dim startPoint(0 To 2) As Double, endPoint(0 To 2)  As Double
    
    ' Define the start and end points for the line
    startPoint(0) = 1: startPoint(1) = 1: startPoint(2) = 0
    endPoint(0) = 5: endPoint(1) = 5: endPoint(2) = 0
    
    ' Create the line in model space
    Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)

    ThisDrawing.Application.ZoomAll
    
    MsgBox "The angle of the new Line is: " & lineObj.angle
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Angle()
    ;; This example adds a line in model space and returns the angle of the new line
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the start and end points for the line
    (setq startPoint (vlax-3d-point 1 1 0)
          endPoint (vlax-3d-point 5 5 0))
    
    ;; Create the line in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq lineObj (vla-AddLine modelSpace startPoint endPoint))

    (vla-ZoomAll acadObj)
    
    (alert (strcat "The angle of the new Line is: " (rtos (vla-get-Angle lineObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 10:15

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部